Skip to main content
GET

Get Checkout Session

This endpoint allows you to retrieve details of a checkout session by its ID. Endpoint: GET /v1/checkout/{checkoutId}/status

Path Parameter

  • checkoutId (string, required): The ID of the checkout session to retrieve.

Responses

  • 200 OK: Returns checkout session details.
  • 404 Not Found: Session not found.

Authorizations

Authorization
string
header
required

Enter your API key as a Bearer token

Path Parameters

checkoutId
string
required

The unique identifier of the checkout session (e.g., '040956bf1210aa19c948da8d5769cea01313dc23022025')

Example:

"040956bf1210aa19c948da8d5769cea01313dc23022025"

Response

Checkout status retrieved successfully

checkoutId
string

Unique identifier for the checkout session

Example:

"040956bf1210aa19c948da8d5769cea01313dc23022025"

status
enum<string>

Current status of the checkout session

Available options:
pending,
processing,
completed,
failed,
expired,
cancelled
Example:

"completed"

amount
number<float>

Checkout amount

Example:

250

currency
string

Checkout currency

Example:

"USD"

paymentMethod
string

Payment method used (if completed)

Example:

"mobile_money"

transactionId
string

External transaction ID from payment provider (if completed)

Example:

"ext_txn_123"

createdAt
string<date-time>

When the checkout session was created

Example:

"2024-01-15T10:30:00Z"

completedAt
string<date-time>

When the checkout session was completed (if applicable)

Example:

"2024-01-15T10:35:00Z"

expiresAt
string<date-time>

When the checkout session expires

Example:

"2024-12-25T23:59:59Z"